Organizations
The organizations you get returned are based upon your service account's organization's access scope, and are sorted by name ascendingly.
Use this to search for an organization by abbreviation. As the abbreviation is unique for organizations, only one exact match is returned or no results at all.
siaOrganization cursor to fetch results before
a3c2a57e-2797-4159-8700-8ad55bf8150eThe amount of results to fetch before the 'before' cursor, or, if no 'before' cursor is provided, from the end of your selection
10Organization cursor to fetch results after
a3c2a57e-2797-4159-8700-8ad55bf8150eThe amount of results to fetch after the 'after' cursor, or, if no 'after' is provided, from the start of your selection
10Bad request. The error message in the response body shows what the problem is.
The service account is not properly authenticated
Service account forbids executing this action. See the response body for more information.
GET /api/v1/organizations HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"edges": [
{
"node": {
"uuid": "5cf67f69-34d0-46fe-b904-20d56248a844",
"name": "Sustainability Incubator Agency",
"abbreviation": "sia",
"organizationUnits": [
{
"uuid": "d4f87246-bb1b-422a-813a-1cffc1c97074",
"name": "Sustainability Incubator Agency",
"status": "active",
"type": "company",
"children": [
{
"uuid": "b782c9a2-0850-4f0d-9a0a-156424d67752",
"name": "Amsterdam region",
"status": "archived",
"type": "region",
"children": []
}
]
}
]
},
"cursor": "48094b0e-15b3-430f-ab5a-16ecf12b9171"
}
],
"pageInfo": {
"startCursor": "48094b0e-15b3-430f-ab5a-16ecf12b9171",
"endCursor": "494d74df-6fbc-46a3-811e-1c17230340a1",
"hasPreviousPage": true,
"hasNextPage": false
}
}Last updated